# SysUsage Class Reference

A class exposing system resources usage. More...

`#include <yateclass.h>`

List of all members.

## Public Types

enum | Type { WallTime, UserTime, KernelTime }

## Static Public Member Functions

static void | init ()
static u_int64_t | startTime ()
static u_int64_t | usecRunTime (Type type=WallTime)
static u_int64_t | msecRunTime (Type type=WallTime)
static u_int32_t | secRunTime (Type type=WallTime)
static double | runTime (Type type=WallTime)

## Detailed Description

A class exposing system resources usage.

The SysUsage class allows collecting some statistics about engine's usage of system resources

## Member Enumeration Documentation

enum Type

Type of time usage requested

## Member Function Documentation

static void init | ( |  | ) | `[static]`

Initialize the system start variable

static u_int64_t startTime | ( |  | ) | `[static]`

Get the wall time used as start for the usage time

Returns:
  Time of the first direct or implicit call of init()

static u_int64_t usecRunTime | ( | Type | type = `WallTime` | ) | `[static]`

Get the program's running time in microseconds

Parameters:

  | type | Type of running time requested

Returns:
  Time in microseconds since the start of the program

static u_int64_t msecRunTime | ( | Type | type = `WallTime` | ) | `[static]`

Get the program's running time in milliseconds

Parameters:

  | type | Type of running time requested

Returns:
  Time in milliseconds since the start of the program

static u_int32_t secRunTime | ( | Type | type = `WallTime` | ) | `[static]`

Get the program's running time in seconds

Parameters:

  | type | Type of running time requested

Returns:
  Time in seconds since the start of the program

static double runTime | ( | Type | type = `WallTime` | ) | `[static]`

Get the program's running time in seconds

Parameters:

  | type | Type of running time requested

Returns:
  Time in seconds since the start of the program

The documentation for this class was generated from the following file:

- yateclass.h